Cyberduck Mountain Duck CLI

#7717 closed defect (fixed)

Interoperability with z/OS

Reported by: cool2man Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: ftp Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.8

Description

this is the log

220-FTPD1 IBM FTP CS V1R10 at ADCD.DFW.IBM.COM, 09:09:48 on 2014-01-05.
220 Connection will close if idle for more than 5 minutes.
FEAT
211 no Extensions supported
USER ibmuser
331 Send password please.
PASS ********
230 IBMUSER is logged on.  Working directory is "IBMUSER.".
NOOP
200 OK
SYST
215 MVS is the operating system of this server. FTP Server is running on z/OS.
STAT /
504 STAT file-identifier: not implemented
CWD /
250 HFS directory / is the current working directory
TYPE A
200 Representation type is Ascii NonPrint
PASV
227 Entering Passive Mode (10,10,10,11,4,13)
LIST -a
125 List started OK
$SYSNAME
$VERSION
.
..
...
.ssh
ADCD
Z110
bin
coolbook
dev
etc
lib
opt
samples
tmp
u
usr
var
web
250 List completed successfully.
PASV
227 Entering Passive Mode (10,10,10,11,4,14)
LIST
125 List started OK
total 66
lrwxrwxrwx   1 START2   SYS1           9 Oct 28  2008 $SYSNAME -> $SYSNAME/
lrwxrwxrwx   1 START2   SYS1           9 Oct 28  2008 $VERSION -> $VERSION/
drwxr-xr-x   6 START2   SYS1        8192 Oct 28  2008 ADCD
drwxr-xr-x  11 START2   SYS1         736 Oct 16  2008 Z110
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 bin -> $VERSION/bin
drwxr-xr-x   2 START2   SYS1        8192 Dec 18 20:03 coolbook
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 dev -> $SYSNAME/dev
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 etc -> $SYSNAME/etc
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 lib -> $VERSION/lib
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 opt -> $VERSION/opt
lrwxrwxrwx   1 START2   SYS1          16 Oct 28  2008 samples -> $VERSION/samples
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 tmp -> $SYSNAME/tmp
drwxr-xr-x  10 START2   SYS1        8192 Jun  1  2007 u
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 usr -> $VERSION/usr
lrwxrwxrwx   1 START2   SYS1          12 Oct 28  2008 var -> $SYSNAME/var
drwxr-xr-x   4 START2   SYS1        8192 Sep  9 12:59 web
250 List completed successfully.

but the FTP window doesn't have any entry

Attachments (1)

ftp.png (16.1 KB) - added by cool2man on Jan 5, 2014 at 8:20:37 AM.

Download all attachments as: .zip

Change History (4)

Changed on Jan 5, 2014 at 8:20:37 AM by cool2man

comment:1 Changed on Jan 6, 2014 at 10:55:48 AM by dkocher

  • Summary changed from ftp to z/OS does not list any file to Interoperability with z/OS

comment:2 Changed on Jan 30, 2014 at 1:31:23 PM by dkocher

  • Milestone set to 4.4.4
  • Status changed from new to assigned

comment:3 Changed on Jan 30, 2014 at 1:35:32 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14285.

Note: See TracTickets for help on using tickets.
swiss made software